# pspaudio.h File Reference

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines

#define | PSP_AUDIO_VOLUME_MAX 0x8000
| The maximum output volume.
#define | PSP_AUDIO_CHANNEL_MAX 8
| The maximum number of hardware channels.
#define | PSP_AUDIO_NEXT_CHANNEL (-1)
| Used to request the next available hardware channel.
#define | PSP_AUDIO_SAMPLE_MIN 64
| The minimum number of samples that can be allocated to a channel.
#define | PSP_AUDIO_SAMPLE_MAX 65472
| The maximum number of samples that can be allocated to a channel.
#define | PSP_AUDIO_SAMPLE_ALIGN(s) (((s) + 63) & ~63)
| Make the given sample count a multiple of 64.

## Enumerations

enum | PspAudioFormats { PSP_AUDIO_FORMAT_STEREO = 0, PSP_AUDIO_FORMAT_MONO = 0x10 }

## Functions

int | sceAudioChReserve (int channel, int samplecount, int format)
| Allocate and initialize a hardware output channel.
int | sceAudioChRelease (int channel)
| Release a hardware output channel.
int | sceAudioOutput (int channel, int vol, void *buf)
int | sceAudioOutputBlocking (int channel, int vol, void *buf)
| a
int | sceAudioOutputPanned (int channel, int leftvol, int rightvol, void *buffer)
| a
int | sceAudioOutputPannedBlocking (int channel, int leftvol, int rightvol, void *buffer)
| a
int | sceAudioGetChannelRestLen (int channel)
| a
int | sceAudioSetChannelDataLen (int channel, int samplecount)
| a
int | sceAudioChangeChannelConfig (int channel, int format)
| a
int | sceAudioChangeChannelVolume (int channel, int leftvol, int rightvol)
| a